Bug 241651 - perl-DBI should be updated...
Summary: perl-DBI should be updated...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-DBI   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robin Norwood
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-29 11:48 UTC by Oliver Falk
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version: 1.56
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-07 20:01:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Oliver Falk 2007-05-29 11:48:40 UTC
http://search.cpan.org/~timb/DBI-1.56/

Currently only 1.53 is available.

It doesn't only include various fixes, but also the new DBD::Gofer (introduced
with 1.54). Yes, there are subtle changes to the DBI internals, that may affect
current code, but perfect for -devel I would say.

However, users of Perl >= 5.9.5 will need at least DBI 1.54 - I'm not sure what
the plan in -devel is for Perl, but if we start trying out 5.9.4 (current perl
developer version), we'll need updated DBI as well - sooner or later.

Just my 2 cent.

Comment 1 Robin Norwood 2007-06-07 20:01:33 UTC
Done for rawhide (F8).  I don't think we want to do this for F7.

Comment 2 Oliver Falk 2007-06-08 08:26:28 UTC
Great. For rawhide this is just good. For a stable release like F7, it's not
suitable - of course. Thx! Maybe this should be added to the release notes!?


Note You need to log in before you can comment on or make changes to this bug.